
import org.junit.Test;
import org.junit.Assert;

/**
 * MyInt tests
 * 
 * @author Andrew H. Fagg
 * @version 2016-08-22
 */

public class MyIntTest {

    /**
     * Test that the stored value is correct.
     */
    @Test
    public void test() {
        MyInt i = new MyInt(5);
        Assert.assertEquals("MyInt value", 5, i.getVal());
    }

    /**
     * Test that increment works
     */
    @Test
    public void test2() {
        MyInt i = new MyInt(5);
        i.increment();
        Assert.assertEquals("MyInt increment", 6,i.getVal());
    }
    
    /**
     * Test that multiplication works.
     * 
     * Think about why this is not a complete test...
     */
    
    @Test
    public void test3() {
        MyInt i = new MyInt(5);
        MyInt j = new MyInt(0);
        i.mult(j);
        Assert.assertEquals("MyInt mult", 0, i.getVal());
    }
    
 
}
